Bug 142646 - FILEOPEN PPTX Same slide title is not converted to numbered slide name
Summary: FILEOPEN PPTX Same slide title is not converted to numbered slide name
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.2.0.0 alpha1+
Hardware: All All
: medium minor
Assignee: Tibor Nagy (NISZ)
URL:
Whiteboard: target:7.3.0 target:7.2.0.0.beta2
Keywords: filter:pptx, implementationError
Depends on:
Blocks: PPTX
  Show dependency treegraph
 
Reported: 2021-06-04 11:13 UTC by NISZ LibreOffice Team
Modified: 2021-07-02 09:38 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of attachment 128104 side by side in PowerPoint and Impress (251.80 KB, image/png)
2021-06-04 11:13 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-06-04 11:13:21 UTC
This is a followup to bug #103347 
Slide names are used by Impress to uniquely identify slides.
Since PPTX does not contain such, the slide names are generated from slide titles if any.
In bug #103347 the uniqueness was ensured by using Slide N instead of duplicated titles.
It would be more user friendly if the uniqueness was ensured by numbering the duplicated slides.
This is visible in the Navigator and in the Custom Slide Show dialog. 
In the latter PP also displays slide titles along with the ordinal number of the slide ,so that slide names are both user-friendly yet unique.

Steps to reproduce:
    1. Open attachment 128104 [details] in Impress
    2. Check the Navigator or the Slide – Custom Slide Show dialog

Actual results:
All slide names are Slide N after the first.

Expected results:
All slide names should be in “Repeating Slide Title N” format.

LibreOffice details:
Version: 7.2.0.0.alpha1+ (x64) / LibreOffice Community
Build ID: 3b57ebb445df8a2bc3d916ea79f8af45e20e4e62
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2021-06-04 11:13:54 UTC
Created attachment 172612 [details]
Screenshot of attachment 128104 [details] side by side in PowerPoint and Impress
Comment 2 Commit Notification 2021-06-28 07:02:40 UTC
Tibor Nagy committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/253bee65bc24d999c3629a4d503d0fa01b355cfc

tdf#142646 PPTX import: count repeating slide names

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2021-06-28 08:41:56 UTC
Tibor Nagy committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/65070087508f176a2a65a0cfbe628ab2994e824f

tdf#142646 PPTX import: count repeating slide names

It will be available in 7.2.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 NISZ LibreOffice Team 2021-07-02 09:38:11 UTC
Verified in: 

Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 3964e0854507b2696ae0fbe48a4fb005c779947e
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: default; VCL: win
Locale: en-DK (hu_HU); UI: en-GB
Calc: threaded